<?php

/**
 * @file
 * Contains \Drupal\drupalgap\Controller\DrupalGapController.
 */

namespace Drupal\DrupalGap\Controller;

use Drupal\Core\Controller\ControllerBase;
use GuzzleHttp\Psr7\Response;
//use Symfony\Component\HttpFoundation\Response;


/**
 * Returns responses for jDrupal module routes.
 */
class DrupalGapController extends ControllerBase {

  /**
   * Return the jDrupal configuration page.
   *
   * @return string
   *   A render array containing our jDrupal configuration page content.
   */
  public function DrupalGapConfig() {
    $output = array();

    // Module help link.
    $output['help'] = array(
      '#markup' => \Drupal\Core\Link::fromTextAndUrl(
        t('DrupalGap Module HELP'),
        \Drupal\Core\Url::fromUri('base:admin/help/drupalgap')
      )->toString()
    );

    // Connection test.
    $output['connection_test'] = array(
      '#markup' => '<div id="dg-msg" class="messages messages--warning">' .
          t('Testing connection...') .
        '</div>',
      '#attached' => array(
        'library' => array(
          'jdrupal/jdrupal',
          'drupalgap/dg_connection_test'
        )
      )
    );
    return $output;
  }

}